For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
      • GETGet a list of all participant groups within a project or workspace
      • POSTCreate a new participant group within a workspace
      • GETGet a participant group
      • DELDelete a participant group
      • PATCHUpdate a participant group
      • GETGet a list of all participants within a participant group
      • POSTAdd participants to a participant group
      • DELRemove participants from a participant group
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceParticipant Groups

Get a list of all participant groups within a project or workspace

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/participant-groups/
GET
/api/v1/participant-groups/
$curl -G https://api.prolific.com/api/v1/participant-groups/ \
> -H "Authorization: Token <token>" \
> -d "filter[workspace_id]=string"
1{
2 "results": [
3 {
4 "id": "5e9b9c9b0f9c9a0001b0b1f5",
5 "name": "Group 1",
6 "workspace_id": "5e9b9c9b0f9c9a0001b1ca2f",
7 "organisation_id": "5e9b9c9b0f9c9a0001b1ca2f",
8 "description": "My first participant group",
9 "participant_count": 10,
10 "is_deleted": false,
11 "feeder_studies": [
12 {
13 "id": "5e9b9c9b0f9c9a0001b0b1f4",
14 "name": "Study 1",
15 "internal_name": "My Study",
16 "status": "COMPLETED",
17 "feeder_completion_codes": [
18 {
19 "code": "AJVRH234",
20 "code_type": "COMPLETION_CODE",
21 "action": "ADD_TO_PARTICIPANT_GROUP"
22 }
23 ]
24 }
25 ],
26 "project_id": null
27 }
28 ]
29}
Was this page helpful?
Previous

Participant Groups

Next

Create a new participant group within a workspace

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Query parameters

activeenumOptional

Filter by the active (not deleted) status of the participant group.

Allowed values:
filterobjectRequired

Response

Request successful.
resultslist of objects

Errors

4XX
Client Request Error